local function makeMovable(frame)
	local mover = CreateFrame("Frame", frame:GetName() .. "Mover", frame)
	mover:EnableMouse(true)
	mover:SetPoint("TOP", frame, "TOP", 0, 10)
	mover:SetWidth(160)
	mover:SetHeight(40)
	mover:SetScript("OnMouseDown", function()
		this:GetParent():StartMoving()
	end)
	mover:SetScript("OnMouseUp", function()
		this:GetParent():StopMovingOrSizing()
	end)
	frame:SetMovable(true)
	
	--[[
	mover:SetBackdrop({
		bgFile = "Interface/Tooltips/UI-Tooltip-Background",
		edgeFile = "Interface/Tooltips/UI-Tooltip-Border",
		tile = true, tileSize = 32, edgeSize = 16,
		insets = { left = 4, right = 4, top = 4, bottom = 4 }
	})	
	]]--
end

local grip = CreateFrame("Button", "BetterBlizzOptionsResizeGrip", InterfaceOptionsFrame)
grip:SetNormalTexture("Interface\\AddOns\\BetterBlizzOptions\\ResizeGrip")
grip:SetHighlightTexture("Interface\\AddOns\\BetterBlizzOptions\\ResizeGrip")
grip:SetWidth(16)
grip:SetHeight(16)
grip:SetScript("OnMouseDown", function()
	this:GetParent():StartSizing()
end)
grip:SetScript("OnMouseUp", function()
	this:GetParent():StopMovingOrSizing()
end)
grip:SetPoint("BOTTOMRIGHT", InterfaceOptionsFrame, "BOTTOMRIGHT", -5, 5)

InterfaceOptionsFrame:SetPoint("CENTER", UIParent, "CENTER")

InterfaceOptionsFrameCategories:SetPoint("BOTTOMLEFT", InterfaceOptionsFrame, "BOTTOMLEFT", 22, 50)
InterfaceOptionsFrameAddOns:SetPoint("BOTTOMLEFT", InterfaceOptionsFrame, "BOTTOMLEFT", 22, 50) 

InterfaceOptionsFrame:SetResizable(true)
InterfaceOptionsFrame:SetWidth(900)
InterfaceOptionsFrame:SetMinResize(585, 495)

makeMovable(InterfaceOptionsFrame)
makeMovable(ChatConfigFrame)
makeMovable(OptionsFrame)
makeMovable(AudioOptionsFrame)
makeMovable(GameMenuFrame)